LibreOffice: XSheetOutline Interface Reference

LibreOffice LibreOffice 6.0 SDK API Reference

Public Member Functions | List of all members
XSheetOutline Interface Referencepublished

provides methods to access the outlines of a sheet. More...

`import"XSheetOutline.idl";`

Inheritance diagram for XSheetOutline:

## Public Member Functions
void | group ([in] com::sun::star::table::CellRangeAddress aRange, [in] com::sun::star::table::TableOrientation nOrientation)
| creates an outline group. More...
void | ungroup ([in] com::sun::star::table::CellRangeAddress aRange, [in] com::sun::star::table::TableOrientation nOrientation)
| removes outline groups. More...
void | autoOutline ([in] com::sun::star::table::CellRangeAddress aRange)
| creates outline groups from formula references in a range. More...
void | clearOutline ()
| removes all outline groups from the sheet. More...
void | hideDetail ([in] com::sun::star::table::CellRangeAddress aRange)
| collapses an outline group. More...
void | showDetail ([in] com::sun::star::table::CellRangeAddress aRange)
| reopens an outline group. More...
void | showLevel ([in] short nLevel, [in] com::sun::star::table::TableOrientation nOrientation)
| shows all outlined groups below a specific level. More...
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object. More...
void | acquire ()
| increases the reference counter by one. More...
void | release ()
| decreases the reference counter by one. More...

## Detailed Description

provides methods to access the outlines of a sheet.

Developers Guide
  Spreadsheets - Sheet Outline

## Member Function Documentation

## ◆ autoOutline()

void autoOutline | ( | [in] com::sun::star::table::CellRangeAddress | aRange | ) |

creates outline groups from formula references in a range.

Parameters

  aRange | the cell range for which outlines are generated.

## ◆ clearOutline()

void clearOutline | ( |  | ) |

removes all outline groups from the sheet.

## ◆ group()

void group | ( | [in] com::sun::star::table::CellRangeAddress | aRange,
|  | [in] com::sun::star::table::TableOrientation | nOrientation
| ) |  |

creates an outline group.

Parameters

  aRange | contains the range of rows or columns, depending on the parameter nOrientation.
  nOrientation | the orientation of the new outline (columns or rows).

## ◆ hideDetail()

void hideDetail | ( | [in] com::sun::star::table::CellRangeAddress | aRange | ) |

collapses an outline group.

Parameters

  aRange | the cell range for which the outlines are collapsed.

## ◆ showDetail()

void showDetail | ( | [in] com::sun::star::table::CellRangeAddress | aRange | ) |

reopens an outline group.

Parameters

  aRange | the cell range for which the outlines are reopened.

## ◆ showLevel()

void showLevel | ( | [in] short | nLevel,
|  | [in] com::sun::star::table::TableOrientation | nOrientation
| ) |  |

shows all outlined groups below a specific level.

Parameters

  nLevel | all outline levels from 1 to this value will be opened and the higher levels will be closed.
  nOrientation | the orientation of the outlines (columns or rows).

## ◆ ungroup()

void ungroup | ( | [in] com::sun::star::table::CellRangeAddress | aRange,
|  | [in] com::sun::star::table::TableOrientation | nOrientation
| ) |  |

removes outline groups.

In the specified range, all outline groups on the innermost level are removed.

Parameters

  aRange | contains the range of rows or columns, depending on the parameter nOrientation.
  nOrientation | the orientation of the outlines to remove (columns or rows).

The documentation for this interface was generated from the following file:

- com/sun/star/sheet/XSheetOutline.idl